<?php
/**
 * Mail on activation!
 * Copyright Schnibble - 2o2p
 * http://www.2o2ik.net (link broken)
 * 
 * Modified by Ruben Kon
 * Adapted to MyBB 1.4
 * Date: 20-aug-2008
 *
 */
 
/** 
* Polish Language File developed by mybboard.pl for Mail on Activation 1.4
* Tłumaczenie: szulcu
* Poprawki: Ekipa Polskiego Supportu MyBB (mybboard.pl)
* Wersja 1.0 **/ 
// Disallow direct access to this file for security reasons
if(!defined("IN_MYBB")) {
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}

$plugins->add_hook("admin_user_users_coppa_activate_commit", "mailoa_start");

function mailoa_info() {
	return array(
		"name"			=> "Mail on activation",
		"description"	=> "Wysyła email z informacją do użytkownika, że jego konto zostało aktywowane.",
		"website"		=> "http://www.mybboard.net",
		"author"		=> "Ruben",
		"authorsite"	=> "http://www.mybboard.net",
		"version"		=> "1.4",
		"guid"			=> "f78be85e7876812269005719bb4b88fb"
	);
}

function mailoa_activate() {
	global $db;


	$mailoa_group = array(
		"gid"			=> "NULL",
		"title"			=> "Wiadomość o akywacji",
		"name"			=> "mailoa",
		"description"	=> "Ustawienia wysyłania wiadomości.",
		"disporder"		=> "15",
		"isdefault"		=> "no",
	);
	
	$db->insert_query("settinggroups", $mailoa_group);
	$gid = $db->insert_id();
	
	$emailsubject = 'Aktywacja konta {user}';
	$emailmessage = 'Witaj, {user}\n Twoje konto na forum {site} zostało aktywowane.\n Możesz je odwiedzić pod adresem {url}.';
	
	$gid_setting_1 = array (
		"sid"			=> "NULL",
		"name"			=> "mailoa_subject",
		"title"			=> "Temat wiadomości",
		"description"	=> "Temat wiadomości, którą użytkownik otrzyma po aktywacji konta przez administratora. {user} zamieni się w nazwę użytkownika, {site} w nazwę forum i {url} w adres forum.",
		"optionscode"	=> "text",
		"value"			=> $db->escape_string($emailsubject),
		"disporder"		=> '1',
		"gid"			=> intval($gid),
	);

	$gid_setting_2 = array (
		"sid"			=> "NULL",
		"name"			=> "mailoa_body",
		"title"			=> "Treść wiadomości",
		"description"	=> "Wpisz w pole poniżej treść wiadomości. {user} zamieni się w nazwę użytkownika, {site} w nazwę forum i {url} w adres forum.",
		"optionscode"	=> "textarea",
		"value"			=> $db->escape_string($emailmessage),
		"disporder"		=> '2',
		"gid"			=> intval($gid),
	);

	$db->insert_query("settings", $gid_setting_1);
	$db->insert_query("settings", $gid_setting_2);
	rebuild_settings();
}

function mailoa_deactivate() {
	global $db;


	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='mailoa_subject'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='mailoa_body'");
	$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='mailoa'");
	rebuild_settings();
}

function mailoa_start() {
	global $db, $mybb, $settings, $cache, $user_info;


	$query =$db->simple_select("users", "username, email", "uid=".intval($mybb->input['uid'])."");
	$emaildata = $db->fetch_array($query);	
	if ($emaildata['email'] != '') {
		$search = array('{user}','{site}','{url}');
		$replace = array($emaildata['username'], $settings['bbname'], $settings['bburl']);
		$subject = str_replace($search, $replace, $settings['mailoa_subject']);
		$message = str_replace($search, $replace, $settings['mailoa_body']);

		my_mail($emaildata['email'], $subject, $message);
		if($settings['mail_logging'] > 0) {
			// Log the message
			$log_entry = array(
				"subject" => $db->escape_string($subject),
				"message" => $db->escape_string($message),
				"dateline" => TIME_NOW,
				"fromuid" => $mybb->user['uid'],
				"fromemail" => $db->escape_string($mybb->user['email']),
				"touid" => $mybb->input['uid'],
				"toemail" => $emaildata['email'],
				"tid" => 0,
				"ipaddress" => $db->escape_string($session->ipaddress)
			);
		$db->insert_query("maillogs", $log_entry);

		}

       } 

	else {
		$subject = 'Błąd: Wiadomość o aktywacjiactivation';
		$message = 'Nie można pobrać adres email użytkownika o identyikatorze : '.$mybb->input['uid'].'';
		my_mail($settings['adminemail'], $subject, $message);


		if($settings['mail_logging'] > 0) {
			// Log the message
			$log_entry = array(
				"subject" => $db->escape_string($subject),
				"message" => $db->escape_string($message),
				"dateline" => TIME_NOW,
				"fromuid" => $mybb->user['uid'],
				"fromemail" => $db->escape_string($mybb->user['email']),
				"touid" => $mybb->input['uid'],
				"toemail" => '',
				"tid" => 0,
				"ipaddress" => $db->escape_string($session->ipaddress)
			);
		$db->insert_query("maillogs", $log_entry);

		}


	}
	     	
}

if(!function_exists("rebuild_settings"))
{
    function rebuild_settings()
    {
        global $db;
        $query = $db->query("SELECT * FROM ".TABLE_PREFIX."settings ORDER BY title ASC");
        while($setting = $db->fetch_array($query))
        {
            $setting['value'] = addslashes($setting['value']);
            $settings .= "\$settings['".$setting['name']."'] = \"".$setting['value']."\";\n";
        }
        $settings = "<?php\n/*********************************\ \n  NIE EDYTUJ TEGO PLIKU, UŻYJ EDYTORA USTAWIEŃ\n\*********************************/\n\n$settings\n?>";
        $file = fopen(MYBB_ROOT."/inc/settings.php", "w");
        fwrite($file, $settings);
        fclose($file);
    }
}
?>